<html><head><title>附属文件管理</title>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<LINK href="../CSS/Base.css" rel=stylesheet>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<script>
function refreshParent() {
   //self.location.replace(self.location.href);
   self.location.reload();
}
var http_request = false;
function AjaxRequest(url)
{
	http_request = false;
	if(window.ActiveXObject)
	{
		try  // IE
		{
			http_request = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				http_request = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e) {}
		}
	}
	else if(window.XMLHttpRequest)
	{
		// Mozilla, Safari,...
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType)
		{
			http_request.overrideMimeType('text/xml');
		}
	}
	
	if (!http_request)
	{
		alert("Cannot create an XMLHTTP instance");
		return false;
	}
	http_request.onreadystatechange = RtnContents;
	http_request.open('GET', url, true);
	http_request.send(null);
}

function RtnContents()
{
	if (http_request.readyState == 4)
	{
		if(http_request.status == 200)
		{
			document.getElementById("thePicBox").innerHTML = http_request.responseText;
		}
		else
		{
			alert('网络传输问题');
		}
	}
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="background-color:#244d8f;">

<div style="line-height:10px">&nbsp;</div>
<div id=nav><a href="../System/ShowMain.php">我的问卷</a> &raquo; 附属文件管理</div>
<div class="wrap q_clear" id=wrap>
<div>
<div class=content>
<div class=q_clear id=mysurvey><h1>管理公共展示模板或问卷设计所需附属文件</h1><p class=surveynum>[ <span class=red>{recNum}</span> 文件 ]</p>&nbsp;<input class=stnsubmit name="createNew" type="button" id="createNew" value="上传附属文件" onclick="javascript:showPopWin('{addURL}', 700, 250, refreshParent, null,'上传附属文件')"><br/></div>
<div id=myname></div>
<div class="datalist">
  <form name="Check_Form" method="post" action="">
  <table style="LINE-HEIGHT: 150%;border-collapse:collapse;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=1>
   <tr><td bgcolor="#e9e9e9" colspan=5><b>附属文件管理</b></td></tr>
   <tr><td colspan=5>&nbsp;附属文件所在目录全路径：<b>{fileDirName}</b></td></tr>
   <tr> 
       <td noWrap width="35%" bgcolor="#f5f5f5"><b>文件名称</b></td>
       <td align="center" width="10%" bgcolor="#f5f5f5"><b>大小</b></td>
       <td align="center" width="16%" bgcolor="#f5f5f5"><b>修改时间</b></td>
       <td align="center" width="11%" bgcolor="#f5f5f5"><b>操作</b></td>
	   <td vAlign=center align=center width="28%" rowspan=300000><div id=thePicBox name=thePicBox>{PicName}</div></td>
   </tr>
	<!-- BEGIN IMAGEFILE -->
   <tr onmouseover="this.style.backgroundColor='#DEEFFF'"  onmouseout="this.style.backgroundColor='#FFFFFF'"> 
       <td>{fileName} </td>
       <td align=right>{fileSize}K&nbsp;&nbsp;</td>
       <td align="center">{time}</td>{dirName}
       <td align="center" style="display:{isDir}">&nbsp;&nbsp;
			<A href="javascript:void(0);" onclick="javascript:AjaxRequest('{viewURL}')" style="display:{isPic}">预览</A>&nbsp;
			<A href="{deleteURL}" onclick="return window.confirm('您真的想删除文件{fileName}，本操作将不可恢复!?')">删除</A></td>
        </tr>
        <!-- END IMAGEFILE -->
	</table>
 </tr>
 </form>
</table>

 <table style="border:0px;">
    <tr> 
     <td style="border:0px;padding-left:0px;">
	   <B><img src="../Images/notes.gif">：</B>附属文件格式只能为：jpg|jpeg|gif|bmp|png|swf|js|css|mp4|flv，大小不建议超过300K；<br/>
	   <B><img src="../Images/notes.gif">：</B>上传的附属文件名称建议使用英文或数字标识，不建议使用中文标识；<br/>
	   <B><img src="../Images/clerk.gif">：</B>在问卷设计过程中，问卷题目或答案引用附属文件，其路径应为<span class="red">{FileURL}/*.*</span>（大小写区分）；<br/>
	   <B><img src="../Images/clerk.gif">：</B>引用图片附属文件，其正确的方法应为<span class="red">&lt;IMG SRC={FileURL}/*.*&gt</span>（没有单引或者双引号）。
	   </td>
      </tr>
</table>
</div>
</div></div></div>
<script type="text/javascript" src="../JS/CssPatch.js.php"></script>
</body></html>